Subject: bug#4509: Line spacing not correct for some fonts.

From: David Engster <[email-masked]>
Date: Mon, 21 Sep 2009 20:44:36 +0200

I noticed that in Emacs 23.1, even with line-spacing 'nil', there
often is some additional space between two lines. It seems it depends on
the used font how much additional space is inserted.

For testing this, simply insert one of the 'box drawing' unicode
characters, for example by evaluating

(ucs-insert #x2503)

which inserts the 'heavy vertical' unicode character. With the default
line-spacing set to 'nil', I would expect these characters to seamlessly
connect when repeated in the following lines, but they often don't. 

It works with the default font used on my system, which is

-unknown-DejaVu Sans Mono-normal-normal-normal-*-19-*-*-*-m-0-iso10646-1

However, when I switch to Terminus, i.e., 

-xos4-Terminus-normal-normal-normal-*-14-*-*-*-c-80-iso10646-1

I see 1 pixel of space between the characters. Same happens with some
truetype fonts, e.g, 

-unknown-Kochi Gothic-normal-normal-normal-*-19-*-*-*-*-0-iso10646-1

I tested this on different machines to make sure it isn't some issue
with the font setup on my machine. Also, I tested the box drawing
characters from the Terminus font with 'gedit', and they do connect
there.

Regards,
David

In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-09-09 on kafka
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
configured using `configure  '--prefix=/opt/cedemacs''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o e <tab> <backspace> r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.